PPI::Statement::Null(3)

NAME
PPI::Statement::Null - A useless null statement

SYNOPSIS
  my $foo = 1;

  ; # <-- Null statement

  my $bar = 1;

INHERITANCE
  PPI::Statement::Null
  isa PPI::Statement
      isa PPI::Node
          isa PPI::Element

DESCRIPTION
"PPI::Statement::Null" is a utility class designed to handle situations where PPI encounters a naked statement separator.

Although strictly speaking, the semicolon is a statement separator and not a statement terminator, PPI considers a semicolon to be a statement terminator under most circumstances.

In any case, the null statement has no purpose, and can be safely deleted with no ill effect.

METHODS
"PPI::Statement::Null" has no additional methods beyond the default ones provided by PPI::Statement, PPI::Node and PPI::Element.

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.